package pjsp.board;
 import java.sql.*;
 import java.io.*;
 import pjsp.util.HangulConversion;
 import pjsp.shopmall.beans.PoolManagerBean;
 import pjsp.shopmall.database.ConnPool;

public class WriteBean{
	private PoolManagerBean pm;
	private Connection con;
	private Statement stmt;
	private ResultSet rs;

	private int num;
	private String name;
	private String email;
	private String passwd;
	private String date;
	private String title;
 	private String content;
 	private int recount;
	public boolean success;

public WriteBean(){
 try{
	pm = new PoolManagerBean();
	pm.setUp();
	con = pm.getConnection();
  } catch(Exception e){ e.printStackTrace(); }
}

//Խ  ø⸦ ϱ  ޼ҵ.
// ̽ insert Ѵ.
public void writeDB(){
  try{
    stmt = con.createStatement();
	String query = "select max(num) from board ";
	ResultSet rs = stmt.executeQuery(HangulConversion.toEng(query));
	int num;
	if(rs.next()){
		num = rs.getInt(1) + 1;
	} else {
   			num = 1;
	} 
	query = "insert into board values (" +num + "," +makeSQL(name) 
			 + "," + makeSQL(email) +"," + makeSQL(passwd) + ",sysdate,"
   			 + makeSQL(title)+ "," + makeSQL(content) +",0)";

	stmt.executeUpdate(HangulConversion.toEng(query));
	success = true;

  } catch(SQLException ex){
      System.out.println("<hr>*** SQLException caught ***<p>");
       while (ex != null) {
         System.out.println("SQLState: " + ex.getSQLState() + "<br>");
         System.out.println("Message:  " + ex.getMessage() + "<br>");
         System.out.println("Vendor:   " + ex.getErrorCode() + "<br>");
         ex = ex.getNextException();
       }
  } finally{
			try{ 
//ϴ ҵ ȯϰ, connection Ѵ.
   				stmt.close();
				pm.releaseConnection(con); 
			}catch(Exception e){}
   	}
}

//Խǿ  ϱ  ޼ҵ.
// ̽ update Ѵ.
public int updateDB(int num){
    int success = 0;
 try{
       stmt = con.createStatement();
       String query = "select passwd from board where num="+ num;
   		rs = stmt.executeQuery(HangulConversion.toEng(query));
   		if (rs.next()) {
				String passwdRec = rs.getString (1);
				if ( !passwdRec.equals(passwd) ) {
			    } else {
			  query = "update board set wname=" + makeSQL(name) +
		   		   ", email=" + makeSQL(email) + 
		   		   ",wdate=sysdate, wtitle="+ makeSQL(title)+ 
		   		   ",content=" + makeSQL(content) +
		   		   "where num="+ num ;
   			success = stmt.executeUpdate(HangulConversion.toEng(query));
   			}
	}   
	return success;

  } catch(SQLException ex){
      System.out.println("<hr>*** SQLException caught ***<p>");
       while (ex != null) {
         System.out.println("SQLState: " + ex.getSQLState() + "<br>");
         System.out.println("Message:  " + ex.getMessage() + "<br>");
         System.out.println("Vendor:   " + ex.getErrorCode() + "<br>");
         ex = ex.getNextException();
		 	return success;
       }
  } finally{
			try{ 
//ϴ ҵ ȯϰ, connection Ѵ.
   				stmt.close();
				pm.releaseConnection(con); 
			}catch(Exception e){}
   	}
return success;
}

//////////// setter/getter ޼ҵ /////////////////////////////////////////
public void setNum(int num){ this.num = num;	}
public void setName(String  name){	this.name =name ;	}
public void setEmail(String email){	this.email =email ;	}
public void setPasswd(String passwd){	this.passwd = passwd;}
public void setDate(String date){		this.date = date;}
public void setTitle(String title){		this.title= title;}
public void setContent(String content){	this.content =content;}
public void setRecount(int recount){ 	this.recount = recount;}
public int getNum(){ return num;	}
public String getName(){	return name;	}
public String getEmail(){	return email;	}
public String getPasswd(){	return passwd;	}
public String getDate(){	return date;	}
public String getTitle(){		return title; }
public String getContent(){	return content;	}
public int  getRecount(){	return recount;	 }

////ƿƼ ޼ҵ /////////////////////////////////////////////////////
private static String makeSQL (String str) {
		String result = null;
		if ( str != null ) {
			result = "'" + str + "'";
		}
		return result;
	}
 }